
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP如何抛出异常处理错误 / iVAN</title>

    <meta name="description" content="PHP如何抛出异常处理错误 首先要知道什么是PHP异常? 异常(Exception)用于在指定的错误发生时改变脚本的正常流程. PHP 5 提供了一种新的面向对象的错误处理方法. 异常处理用于在指定的错误(异常)情况发生时改变脚本的正常流程.这种情况称为异常. 当异常被触发时,通常会发生: 当前代码状态被保存 代码执行被切换到预定义的异常处理器函数 根据情况,处理器也许会从保存的代码状态重新开始执行代码,终止脚本执行,或从代码中另外的位置继续执行脚本 我们将展示不同的错误处理方法: 异常的基本使用 创建自定义的异常处理器">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP如何抛出异常处理错误</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>首先要知道什么是PHP异常？</p>
<p>异常（Exception）用于在指定的错误发生时改变脚本的正常流程。 <br />PHP 5 提供了一种新的面向对象的错误处理方法。 <br />异常处理用于在指定的错误（异常）情况发生时改变脚本的正常流程。这种情况称为异常。</p>
<p>当异常被触发时，通常会发生：</p>
<p>当前代码状态被保存 <br />代码执行被切换到预定义的异常处理器函数 <br />根据情况，处理器也许会从保存的代码状态重新开始执行代码，终止脚本执行，或从代码中另外的位置继续执行脚本 <br />我们将展示不同的错误处理方法：</p>
<p>异常的基本使用 <br />创建自定义的异常处理器 <br />多个异常 <br />重新抛出异常 <br />设置顶层异常处理器 <br />异常的基本使用 <br />当异常被抛出时，其后的代码不会继续执行，PHP 会尝试查找匹配的 “catch” 代码块。</p>
<p>如果异常没有被捕获，而且又没用使用 set_exception_handler() 作相应的处理的话，那么将发生一个严重的错误（致命错误），并且输出 “Uncaught Exception” （未捕获异常）的错误消息。</p>
<p>让我们尝试抛出一个异常，同时不去捕获它： <br /><u>复制代码</u> 代码如下:<br />
		<br />&lt;?php <br />//create function with an exceptionfunction <br />checkNum($number) { <br />if($number&gt;1) { <br />throw new Exception(”Value must be 1 or below”); <br />} return true; <br />} <br />//trigger <br />exceptioncheckNum(2); <br />?&gt;</p>
<p>上面的代码会获得类似这样的一个错误：</p>
<p>Fatal error: Uncaught exception ‘Exception' with message ‘Value must be 1 or below' in C:\webfolder\test.php:6 Stack trace: #0 C:\webfolder\test.php(12): checkNum(28) #1 {main} thrown in C:\webfolder\test.php on line 6 <br />Try, throw 和 catch <br />要避免上面例子出现的错误，我们需要创建适当的代码来处理异常。</p>
<p>处理处理程序应当包括：</p>
<p>Try - 使用异常的函数应该位于 “try” 代码块内。如果没有触发异常，则代码将照常继续执行。但是如果异常被触发，会抛出一个异常。 <br />Throw - 这里规定如何触发异常。每一个 “throw” 必须对应至少一个 “catch” <br />Catch - “catch” 代码块会捕获异常，并创建一个包含异常信息的对象 <br />让我们触发一个异常：</p>
<p>&lt;?php//创建可抛出一个异常的函数function checkNum($number) { if($number&gt;1) { throw new Exception(”Value must be 1 or below”); } return true; }//在 “try” 代码块中触发异常try { checkNum(2); //If the exception is thrown, this text will not be shown echo ‘If you see this, the number is 1 or below'; }//捕获异常catch(Exception $e) { echo ‘Message: ‘ .$e-&gt;getMessage(); }?&gt; <br />上面代码将获得类似这样一个错误：</p>
<p>Message: Value must be 1 or below <br />例子解释： <br />上面的代码抛出了一个异常，并捕获了它：</p>
<p>创建 checkNum() 函数。它检测数字是否大于 1。如果是，则抛出一个异常。 <br />在 “try” 代码块中调用 checkNum() 函数。 <br />checkNum() 函数中的异常被抛出 <br />“catch” 代码块接收到该异常，并创建一个包含异常信息的对象 ($e)。 <br />通过从这个 exception 对象调用 $e-&gt;getMessage()，输出来自该异常的错误消息 <br />不过，为了遵循“每个 throw 必须对应一个 catch”的原则，可以设置一个顶层的异常处理器来处理漏掉的错误。 <br />创建一个自定义的 Exception 类 <br />创建自定义的异常处理程序非常简单。我们简单地创建了一个专门的类，当 PHP 中发生异常时，可调用其函数。该类必须是 exception 类的一个扩展。</p>
<p>这个自定义的 exception 类继承了 PHP 的 exception 类的所有属性，您可向其添加自定义的函数。</p>
<p>我们开始创建 exception 类： <br /><u>复制代码</u> 代码如下:<br />
		<br />&lt;?php <br />class customException extends Exception { <br />public function errorMessage() { <br />//error message <br />$errorMsg = ‘Error on line ‘.$this-&gt;getLine().' in ‘.$this-&gt;getFile() .': &lt;b&gt;'.$this-&gt;getMessage().'&lt;/b&gt; is not a valid E-Mail address'; return $errorMsg; <br />} <br />} <br />$email = “someone@example…com”;try { <br />//check if <br />if(filter_var($email, FILTER_VALIDATE_EMAIL) === FALSE) { <br />//throw exception if email is not valid throw <br />new customException($email); <br />} <br />}catch (customException $e) <br />{ <br />//display custom message <br />echo $e-&gt;errorMessage(); <br />}?&gt;</p>
<p>这个新的类是旧的 exception 类的副本，外加 errorMessage() 函数。正因为它是旧类的副本，因此它从旧类继承了属性和方法，我们可以使用 exception 类的方法，比如 getLine() 、 getFile() 以及 getMessage()。</p>
<p>例子解释： <br />上面的代码抛出了一个异常，并通过一个自定义的 exception 类来捕获它：</p>
<p>customException() 类是作为旧的 exception 类的一个扩展来创建的。这样它就继承了旧类的所有属性和方法。 <br />创建 errorMessage() 函数。如果 e-mail 地址不合法，则该函数返回一条错误消息 <br />把 $email 变量设置为不合法的 e-mail 地址字符串 <br />执行 “try” 代码块，由于 e-mail 地址不合法，因此抛出一个异常 <br />“catch” 代码块捕获异常，并显示错误消息 <br />多个异常 <br />可以为一段脚本使用多个异常，来检测多种情况。</p>
<p>可以使用多个 if..else 代码块，或一个 switch 代码块，或者嵌套多个异常。这些异常能够使用不同的 exception 类，并返回不同的错误消息： <br /><u>复制代码</u> 代码如下:<br />
		<br />&lt;?php <br />class customException extends Exception{public function errorMessage(){ <br />//error <br />message$errorMsg = ‘Error on line ‘.$this-&gt;getLine().' in ‘.$this-&gt;getFile().': &lt;b&gt;'.$this-&gt;getMessage().'&lt;/b&gt; is not a valid E-Mail address'; <br />return $errorMsg; <br />} <br />} <br />$email = “someone@example.com”;try { <br />//check if <br />if(filter_var($email, FILTER_VALIDATE_EMAIL) === FALSE) { <br />//throw exception if email is not valid throw new <br />customException($email); <br />} <br />//check for “example” in mail address <br />if(strpos($email, “example”) !== FALSE) { throw new Exception(”$email is an example e-mail”); } }catch (customException $e) { echo $e-&gt;errorMessage(); }catch(Exception $e) { echo $e-&gt;getMessage(); }?&gt;</p>
<p>例子解释： <br />上面的代码测试了两种条件，如何任何条件不成立，则抛出一个异常：</p>
<p>customException() 类是作为旧的 exception 类的一个扩展来创建的。这样它就继承了旧类的所有属性和方法。 <br />创建 errorMessage() 函数。如果 e-mail 地址不合法，则该函数返回一个错误消息。 <br />执行 “try” 代码块，在第一个条件下，不会抛出异常。 <br />由于 e-mail 含有字符串 “example”，第二个条件会触发异常。 <br />“catch” 代码块会捕获异常，并显示恰当的错误消息 <br />如果没有捕获 customException，紧紧捕获了 base exception，则在那里处理异常。 <br />重新抛出异常 <br />有时，当异常被抛出时，您也许希望以不同于标准的方式对它进行处理。可以在一个 “catch” 代码块中再次抛出异常。</p>
<p>脚本应该对用户隐藏系统错误。对程序员来说，系统错误也许很重要，但是用户对它们并不感兴趣。为了让用户更容易使用，您可以再次抛出带有对用户比较友好的消息的异常： <br /><u>复制代码</u> 代码如下:<br />
		<br />&lt;?php <br />class customException extends Exception { public function errorMessage() { <br />//error message <br />$errorMsg = $this-&gt;getMessage().' is not a valid E-Mail address.'; return $errorMsg; } }$email = “someone@example.com”;try { try { <br />//check for “example” in mail address <br />if(strpos($email, “example”) !== FALSE) { <br />//throw exception if email is not valid throw new <br />Exception($email); } } catch(Exception $e) { <br />//re-throw exception throw new <br />customException($email); } }catch (customException $e) { <br />//display custom message <br />echo $e-&gt;errorMessage(); } <br />?&gt;</p>
<p>例子解释： <br />上面的代码检测在邮件地址中是否含有字符串 “example”。如果有，则再次抛出异常：</p>
<p>customException() 类是作为旧的 exception 类的一个扩展来创建的。这样它就继承了旧类的所有属性和方法。 <br />创建 errorMessage() 函数。如果 e-mail 地址不合法，则该函数返回一个错误消息。 <br />把 $email 变量设置为一个有效的邮件地址，但含有字符串 “example”。 <br />“try” 代码块包含另一个 “try” 代码块，这样就可以再次抛出异常。 <br />由于 e-mail 包含字符串 “example”，因此触发异常。 <br />“catch” 捕获到该异常，并重新抛出 “customException”。 <br />捕获到 “customException”，并显示一条错误消息。 <br />如果在其目前的 “try” 代码块中异常没有被捕获，则它将在更高层级上查找 catch 代码块。 <br />设置顶层异常处理器 （Top Level Exception Handler） <br />set_exception_handler() 函数可设置处理所有未捕获异常的用户定义函数。 <br /><u>复制代码</u> 代码如下:<br />
		<br />&lt;?php <br />function myException($exception){ <br />echo “&lt;b&gt;Exception:&lt;/b&gt; ” , $exception-&gt;getMessage(); <br />} <br />set_exception_handler('myException'); <br />throw new Exception('Uncaught Exception occurred'); <br />?&gt;</p>
<p>以上代码的输出应该类似这样：</p>
<p>Exception: Uncaught Exception occurred <br />在上面的代码中，不存在 “catch” 代码块，而是触发顶层的异常处理程序。应该使用此函数来捕获所有未被捕获的异常。 <br />异常的规则 <br />需要进行异常处理的代码应该放入 try 代码块内，以便捕获潜在的异常。 <br />每个 try 或 throw 代码块必须至少拥有一个对应的 catch 代码块。 <br />使用多个 catch 代码块可以捕获不同种类的异常。 <br />可以在 try 代码块内的 catch 代码块中再次抛出（re-thrown）异常。 <br />简而言之：如果抛出了异常，就必须捕获它。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-11 08:18:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%94%99%e8%af%af/" title="错误">错误</a>, <a href="https://www.iamivan.net/tag/%e5%a4%84%e7%90%86/" title="处理">处理</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/exception/" title="exception">exception</a>, <a href="https://www.iamivan.net/tag/%e5%bc%82%e5%b8%b8/" title="异常">异常</a>, <a href="https://www.iamivan.net/tag/%e6%8a%9b%e5%87%ba%e5%bc%82%e5%b8%b8%e4%bb%a3%e7%a0%81/" title="抛出异常代码">抛出异常代码</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e5%8f%91php%e9%94%99%e8%af%af/" title="触发PHP错误">触发PHP错误</a>, <a href="https://www.iamivan.net/tag/php%e5%bc%82%e5%b8%b8%e5%a4%84%e7%90%86/" title="PHP异常处理">PHP异常处理</a>, <a href="https://www.iamivan.net/tag/set_exception_handler/" title="set&lowbar;exception&lowbar;handler">set&lowbar;exception&lowbar;handler</a>, <a href="https://www.iamivan.net/tag/%e9%94%99%e8%af%af%e5%bc%82%e5%b8%b8/" title="错误异常">错误异常</a>, <a href="https://www.iamivan.net/tag/uncaught/" title="Uncaught">Uncaught</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81exception/" title="代码exception">代码exception</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e7%9a%84%e5%bc%82%e5%b8%b8/" title="类的异常">类的异常</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP如何抛出异常处理错误的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkVadb.html" rel="bookmark">PHP如何抛出异常处理错误&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先要知道什么是PHP异常? 异常(Exception)用于在指定的错误发生时改变脚本的正常流程. PHP 5 提供了一种新的面向对象的错误处理方法. 异常处理用于在指定的错误(异常)情况发生时改变脚本的正常流程.这种情况称为异常. 当异常被触发时,通常会发生: 当前代码状态被保存 代码执行被切换到预定义的异常处理器函数 根据情况,处理器也许会从保存的代码状态重新开始执行代码,终止脚本执行,或从代码中另外的位置继续执行脚本 我们将展示不同的错误处理方法: 异常的基本使用 创建自定义的异常处理器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo8KdM.html" rel="bookmark">连接数据库时发生&amp;amp&semi;amp&semi;quot&semi;一般性网络错误&amp;amp&semi;amp&semi;quot&semi;的另类解释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误|连接数据库|网络   连接数据库时发生   &quot;一般性网络错误&quot;   的另类解释  Revision History:Version Date Creator Description 1.0.0.1 2003-11-15 郑昀 草稿Implementation Scope:本文档将说明出现一种不容易想到原因的访问数据库时发生&quot;一般性网络错误&quot;,错误报告的来源是ADODB,错误号是&quot;-2147467259,或者0x80004005&quot;.   继续			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Q9krM.html" rel="bookmark">byte-关于使用 new  BYTE&lpar;100&rpar;使用之后delete出错，错误信息：堆栈被破坏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于使用 new BYTE(100)使用之后delete出错,错误信息:堆栈被破坏 错误如题,代码如下: #include #include #include #include #include #include #include #include using namespace std; struct name { char name_char; int fi; }; struct student_info { int id; long student_id; int class_n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3YWkp.html" rel="bookmark">C&num;编程实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程 最近一段时间学习使用C#编程,因为用惯了Delphi,发现C#类库还是不太完善(我用的是.Net Framework 1.0,不知道.Net Framework 1.1有哪些改进),此外Visual Studio 2002也有不完善的地方,不知道Visual Studio 2003有哪些改进呢.比如没有提供Ini文件的访问类,比如输入框不能像Delphi那样指定默认的输入法(更正:为了控制输入法,.NET类库在System.Windows.Forms.InputLanguage类中提供了支			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBvlKb.html" rel="bookmark">几种VC&plus;&plus;数据库开发技术的相对比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从功能简单的数据库(如Jet Engine)到复杂的大型数据库系统(如oracle),VC++6.0都提供了一些编程接口.本文主要介绍以下五种: 1.ODBC API: 2.MFC ODBC类: 3.MFC DAO类:(数据访问对象) 4.MFC的OLE/DB: 5.ActiveX数据对象(ADO). 1.开放数据库连接(ODBC API): 提供了一个通用的编程接口,允许程序与多种不同的数据库连接.它为Oracle,SQL Server,MS Excel等都提供了驱动程序,使得用户可以使用SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZE0QBp.html" rel="bookmark">【译文】程序员能力矩阵 Programmer Competency Matrix</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注意:每个层次的知识都是渐增的,位于层次n,也蕴涵了你需了解所有低于层次n的知识.[原文] 计算机科学 Computer Science   2n (Level 0) n2 (Level 1) n (Level 2) log(n) (Level 3) Comments 数据结构 不知道数组和链表的差异 能够解释和使用数组,链表,字典等,并且能够用于实际的编程任务. 了解基本数据结构时间和空间的折中,比如数组vs 链表,能够解释如何实现哈希表和处理冲突,了解优先队列及其实现. 高等的数据结构的知识			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVor1b.html" rel="bookmark">jfinal-Jfinal &commat;BY&lowbar;NAME注解失效</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Jfinal @BY_NAME注解失效 最近在公司的一个主体是Jfinal,加入了部分Spring的项目中加入了一个新功能,但是遇到了@BY_NAME注解失效的问题,我把部分代码贴出来,希望各位对Jfinal有研究的大神能帮小弟我看看是怎么回事. 这些类都是复制粘贴了以前写好的类,然后把原来的内容删掉以后再写新的代码的,为了保证类上面的注解能发挥原有的功能. controller类名上面有三个注解,分别是@Before(IocInterceptor.class),@ClearInter			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NRnYM.html" rel="bookmark">Java异常简介及其架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java异常简介 Java异常是Java提供的一种识别及响应错误的一致性机制. Java异常机制可以使程序中异常处理代码和正常业务代码分离,保证程序代码更加优雅,并提高程序健壮性.在有效使用异常的情况下,异常能清晰的回答what, where, why这3个问题:异常类型回答了&quot;什么&quot;被抛出,异常堆栈跟踪回答了&quot;在哪&quot;抛出,异常信息回答了&quot;为什么&quot;会抛出. Java异常机制用到的几个关键字:try.catch.finally.throw.thro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pke2d1b.html" rel="bookmark">java-基础-异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java异常是Java提供的一种识别及响应错误的一致性机制. Java异常机制可以使程序中异常处理代码和正常业务代码分离,保证程序代码更加优雅,并提高程序健壮性.在有效使用异常的情况下,异常能清晰的回答what, where, why这3个问题:异常类型回答了&quot;什么&quot;被抛出,异常堆栈跟踪回答了&quot;在哪&quot;抛出,异常信息回答了&quot;为什么&quot;会抛出. Java异常机制用到的几个关键字:try.catch.finally.throw.throws. • try			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5d0aM.html" rel="bookmark" class="title">学习ASP：SQL常用技巧</a>
					<div>
						sql|技巧 一.怎样删除一个表中某个字段重复的列呀,举个例子 表[table1] id name 1 aa 2 bb 3 cc 1 aa 2 bb 3 cc 我想最后的表是这样的 id name 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjxGnp.html" rel="bookmark" class="title">Dreamweaver便捷技巧方法</a>
					<div>
						dreamweaver|技巧 1.灵活运用样式  熟悉网页设计的网友就知道,调用Style的方法很多,我们可以单击鼠标右键选择Custon Style来调用Style标准,也可以在状态栏中的元素列表上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLAreb.html" rel="bookmark" class="title">思科交换机如何根据MAC-IP信息查询具体的交换机端口</a>
					<div>
						User Access Verification Password: IDC-3750G-12S-01&gt;ping 192.168.50.47 Type escape sequence to ab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7EaxM.html" rel="bookmark" class="title">视频点播的概念</a>
					<div>
						视频点播是近年来新兴的一种网络传媒方式,该技术是计算机技术.网络通信技术.多媒体技术.电视技术和数字压缩技术等多学科.多领域融合交叉的产物. 视频点播从根本上改变了传统的单向传输.用户对视频节目无权选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N8Kwz.html" rel="bookmark" class="title">数据中心网络布局与综合布线规划</a>
					<div>
						IT公司组网,我们不仅要从企业本身的实际需求出发,根据组网经费的多少来务实地规划与设计网络:在采购好网络设备和服务器等设备后,如何对机房.办公地点进行合理的网络布局与布线,对于我们网管员来说,是致关重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6NgEz.html" rel="bookmark" class="title">Excel2010怎么合并单元格？</a>
					<div>
						  Excel2010怎么合并单元格?         现在,很多实用Excel的用户都在问,Excel怎么合并单元格?excel2010怎么合并单元格?其实,这很简单,今天,小编就为大家带来Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Aa7Dp.html" rel="bookmark" class="title">excel2013如何插入窗体单选框控件</a>
					<div>
						  excel2013插入窗体单选框控件教程: 插入窗体单选框控件步骤1:由于单选框按钮一般成组出现,所以我们先加一个[分组框],以便把若干个单选框放在一起,并联动.如下图,修改分组框的名称&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKwkNp.html" rel="bookmark" class="title">如何一招隐藏word2013最近文档</a>
					<div>
						  一.打开你的word文档,选择&quot;文件&quot;,之后单击&quot;打开--最近使用的文档&quot;你就可以看到近期自己编辑过的word文档; 二.切换到&quot;文件--选项&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRykdab.html" rel="bookmark" class="title">PS调出绚丽梦幻的紫色海滩婚片</a>
					<div>
						素材背景部分较为单一,用平常的方法很难调出非常好看的效果.不过作者非常善于美化照片,用一种较为梦幻的效果来渲染照片.大致过程:先把照片整体梦幻处理,然后把背景加上暗角并调成自己喜欢的颜色,后期再加上一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYk4Xb.html" rel="bookmark" class="title">轻松搭建主从DNS</a>
					<div>
						  正向解析: IP --&gt; FQDN(主机名) FQDN --&gt; IP DNS服务器常见的类型: 主DNS服务器:数据修改 辅助DNS服务器:请求数据同步 缓存DNS服务器 转发器 数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOanxqM.html" rel="bookmark" class="title">LCD与LED液晶显示屏的区别哪个更好？</a>
					<div>
						一.什么是LCD? LCD是液晶显示屏Liquid Crystal Display的全称,主要有TFT.UFB.TFD.STN等几种类型的液晶显示屏无法定位程序输入点于动态链接库上. 笔记本液晶屏常用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8O82b.html" rel="bookmark" class="title">JavaScript获取当前页面上的指定对象示例代码</a>
					<div>
						 这篇文章主要介绍了JavaScript获取当前页面上指定对象的方法,需要的朋友可以参考下 JavaScript如何获取当前页面上的指定对象.    方法如下:   代码如下: document.ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmGg8z.html" rel="bookmark" class="title">Java加密解密工具（适用于JavaSE&sol;JavaEE&sol;Android）&lowbar;java</a>
					<div>
						本文实例为大家分享了一个适用于JavaSE/JavaEE/Android的Java加密解密工具,供大家学习,具体内容如下 package longshu.utils.security; import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAWXYM.html" rel="bookmark" class="title">什么sql语句能通过一个值查询其所在的列名</a>
					<div>
						问题描述 什么sql语句能通过一个值查询其所在的列名 差不多就是这样的一个表.怎么样才能在查询[常州代派]时返回[江苏],查询[东莞直营公司]时返回[广东] 解决方案 我觉得应该采用两张表城市名一种表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwQZlM.html" rel="bookmark" class="title">技术创新终将颠覆传统</a>
					<div>
						世界著名云计算咨询公司HyperStratus的首席执行官伯纳德·戈尔登(Bernard Golden)最近在网上撰文称,技术方面的创新几乎无处不在.每个人都在谈论着技术创新,每一家企业都渴望着技术创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEoJnM.html" rel="bookmark" class="title">cache-mybatis高手进，SOS-mybatis执行查询时返回入参。多谢</a>
					<div>
						问题描述 mybatis高手进,SOS-mybatis执行查询时返回入参.多谢 很怪异的问题,mybatis执行查询时,返回了原本的入参.这个问题偶然在服务器上出现过几次,本地开发环境从未出现过.小弟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKnLYb.html" rel="bookmark" class="title">对手太强大索尼放弃定制市场&comma;一个不明智的决定</a>
					<div>
						导读:10月的最后一天,索尼公布了截至2014年9月30日的第二财季业绩,期内销售收入同比增长7.2%,为19015亿日元,净亏损1360亿日元. 10月的最后一天,索尼公布了截至2014年9月30日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjGOoM.html" rel="bookmark" class="title">VSTS中文件被谁签出了？</a>
					<div>
						问题描述 我想知道,在VSTS中怎样知道一个文件被谁签出了,现在只能看到是被人签出,但不知道是谁.谢谢各位! 解决方案 解决方案二:后面是有用户名哒解决方案三:团队管理器-源代码,在上面可以看到解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AXklz.html" rel="bookmark" class="title">NESASM教程&mdash;&mdash;第一天&mdash;&mdash;开始NES汇编</a>
					<div>
						[关于NES汇编] 我的天,你正准备学习用汇编写NES程序?那么,如果你真想这么做,本文应该有所帮助.也许你已经读过我的正在进行中的GameBoy高级汇编系列文章.在我的GBA汇编教程中,指出你在进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJWw3p.html" rel="bookmark" class="title">编程-函数名做函数参数 无法解析的外部命令</a>
					<div>
						问题描述 函数名做函数参数 无法解析的外部命令 #include int main() { float average(float array[10]); float score[10], aver; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7V3ez.html" rel="bookmark" class="title">centos6&period;7上打开Qt发现整个界面变成黑白效果</a>
					<div>
						问题描述 centos6.7上打开Qt发现整个界面变成黑白效果 在centos6.7上打开Qt5.4.1整个界面变成黑白,功能可正常使用,qt安装过程没有报错,当qt软件为当前对话框时 整个界面为黑白 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjKZQM.html" rel="bookmark" class="title">5G研发验证紧锣密鼓 产业链市场迎来万亿级机遇</a>
					<div>
						在Polar Code被确定为5GeMBB控制信道标准方案后,中国IMT-2020(5G)推进组随即于20日在京召开了5G技术研发试验第二阶段规范发布会.据透露,第二阶段的验证预计将于2017年底完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn3dPM.html" rel="bookmark" class="title">蓝牙通讯问题</a>
					<div>
						问题描述 开发平台:vs2008/windowsxpsp2系统之前写过一段基于WinCE系统的应用程序,通过虚拟串口的方式实现了PPC与单片机之间通过蓝牙串口进行通讯,运行正常.现在手头想写个PC与其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0QBWp.html" rel="bookmark" class="title">持续时间duration 与时间的转换</a>
					<div>
						问题描述 如果知道时间如何用转为持续时间duration如duration=324转为时间是05:23如果知道时间05:23如何转为duration=324感谢 解决方案 解决方案二:05:23怎么会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqPd7p.html" rel="bookmark" class="title">银监拟定P2P准入门槛为3000万元&comma;杠杆限制业内反弹较大</a>
					<div>
						银监会对于P2P的监管细则要比业界预期的更严.昨日,南都记者从多位知情人士处独家获悉,上周三,银监会普惠金融部召集北京.上海.广东.浙江等几个P2P主要地区的省金融办.行业协会召开有关P2P监管细则讨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrwD3p.html" rel="bookmark" class="title">浅谈异常结构图、编译期异常和运行期异常的区别&lowbar;java</a>
					<div>
						异常处理一般有2种方式,要么捕获异常try-catch,要么抛出异常throws 如果一个方法后面抛出一个运行时期异常(throws RuntimeException),调用者无须处理 如果一个方法后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKKX8z.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;罗质翔&rdquo;之战：当局者清，旁观者迷</a>
					<div>
						摘要: 无论大家怎么看待,究竟是炒作,还是两家生死存亡的战争,这场 手机 评测公司与手机制造商的网络公开辩论赛都已经过去. 如果你没有完整地跟踪完这场辩论,下面为你总结一下双 无论大家怎么看待,究竟是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7x6rp.html" rel="bookmark" class="title">开源最为核心价值在于&OpenCurlyDoubleQuote;人&rdquo;</a>
					<div>
						开源的价值毋庸置疑,目前业界对开源的态度也几乎是一边倒的支持与肯定.虽说事物的价值往往源自本质,但对于开源的价值我们又该如何评判?它的价值体现在代码贡献上.还是蕴藏于其它层面当中? 就开源的本质来看, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2mxmz.html" rel="bookmark" class="title">视频客户端近黄昏：在线观看成主流</a>
					<div>
						优酷.土豆结盟了,搜狐.腾讯.百度结盟了,剩下的视频客户端还有戏吗? 采访 | 翟文婷 刘恒涛 文 | 翟文婷 继优酷.土豆宣布合并之后,今年4月,搜狐视频.腾讯视频和爱奇艺高调联盟,将在采购 版权等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvkD2b.html" rel="bookmark" class="title">《Adobe After Effects CS6中文版经典教程》&mdash;&mdash;1&period;10&emsp;控制用户界面的亮度</a>
					<div>
						1.10 控制用户界面的亮度 可以调整After Effects的用户界面,使其变得更亮或者更暗,改变亮度参数将影响面板.窗口和对话框的显示. 1．选择Edit(编辑)&gt;Preferences( ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
